## SoupMessageFilter

SoupMessageFilter — Automatic message processing

## Synopsis

    void                soup_message_filter_setup_message   (SoupMessageFilter *filter,
                                                             SoupMessage *msg);

## Description

## Details

### soup_message_filter_setup_message ()

    void                soup_message_filter_setup_message   (SoupMessageFilter *filter,
                                                             SoupMessage *msg);

Performs some sort of processing on `msg` in preparation for it being sent. This will generally involve some combination of adding headers, adding handlers, and connecting to signals.

`filter` : | an object that implements the SoupMessageFilter interface
`msg` : | a SoupMessage